Subject: bug#831: 23.0.60; error in nsfonts.m

From: "Austin Frank" <[email-masked]>
Date: Sun, 31 Aug 2008 13:49:32 -0400

Yes, you're right that this builds but doesn't actually work.  Sorry
that I didn't dive deeper in debugging!  Unfortunately I don't have
time to work on a patch-- apologies.  I'll keep an eye on CVS for
changes to nsfonts.m and xdisp.c.

Thanks,
/au

On Sat, Aug 30, 2008 at 3:59 PM, Glenn Morris <[email-masked]> wrote:
> Austin Frank wrote:
>
>> I'm trying to build emacs from a current CVS checkout on OSX 10.4.11
>> with the configure option --with-ns.
>>
>> Build fails because of error in nsfonts.m.  That file references a
>> variable called gidx, which is not defined in the relevant structure.
>> The attached patch changes all instances of gidx to x, and allows emacs
>> to build on my system.
>
> That may happen to build, but I don't believe it to be the correct fix.
>
> This is fallout from:
>
> 2008-08-29  Kenichi Handa  <[email-masked]>
>
>    * dispextern.h (struct glyph_string): Delete the member gidx.
>      New members cmp_id, cmp_from, and cmp_to.
>
> (There are also some out-of-date comments in xdisp.c that still refer
> to gidx.)
>